function cylinFTClickedCallback(obj, src, evt)

%%%%%%%%%%%%%%%%%%%%%%%%%% for debug %%%%%%%%%%%%%%%%%%%%%%%%%%

%     fprintf("Clicking at cylindrical unrolling spectrum. The coordinate is [%.2f, %.2f, %.2f].\n",...
%         evt.IntersectionPoint(1), evt.IntersectionPoint(2), evt.IntersectionPoint(3));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


    ftpt_ang = round((evt.IntersectionPoint(1))*2*pi);
    ftpt_len = evt.IntersectionPoint(2);
    fprintf("Clicked the spectrum at coordinate: [%.2f / 2pi, %.2f].\n", ftpt_ang, ftpt_len);

    if obj.ndStatTFFTVa.value
        upder = obj.ndSpecVa.updateValue([ftpt_ang, ftpt_len]);
        obj.ndTFStat.updateValue(obj.tf_stat_free, upder);
    elseif obj.ndStatTFFTVb.value
        upder = obj.ndSpecVb.updateValue([ftpt_ang, ftpt_len]);
        obj.ndTFStat.updateValue(obj.tf_stat_free, upder);
    end

end
