function registerTFMovptButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback( ...
        obj.ndTFStat, obj.ndTFCurrPt, ...
        src, evt));
    
    comg.Node.output("Enable TF-Mov-Point-Button",...
            @(fila_engine, stat_foc)(enableComponent(butt, fila_engine, stat_foc)), ...
            obj.ndFilaEngn, obj.ndStatTFFoc ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_foc)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && stat_foc;

    component.Enable = flag_enable;
end

function buttonPushedCallback(ndTFStat, ndTFCurrPt, src, evt)
    fprintf("TF TF-Mov-Point-Button pushed.\n");

    upder = ndTFStat.updateValue(helix.TomoFilamentUIManager.tf_stat_moving);
    ndTFCurrPt.updateValue([], upder);
end
