function registerTFSpecRmvbgButton(obj, butt)
    butt.ValueChangedFcn = @(src, evt)(valueChangedCallback( ...
        obj.ndStatSpecRmvBg, src, evt));
    
    comg.Node.output("Enable Spectrum-Remove-Background-Button",...
            @(fila_engine)(enableComponent(butt, fila_engine)), ...
            obj.ndFilaEngn ...
        ).activate();
end

function enableComponent(component, fila_engine)
    flag_enable = fila_engine.inFilamentTuningMode();
    component.Enable = flag_enable;
end

function valueChangedCallback(ndStatSpecRmvBg, src, evt)
    fprintf('TF Spectrum Remove Background value changed to %d.\n', evt.Value);

    ndStatSpecRmvBg.updateValue(evt.Value);
end



