function registerTFTraceThresEdit(obj, edt)
    edt.ValueChangedFcn = @(src, evt)(valueChangedCallback(obj.ndTFTracThr, src, evt));

    comg.Node.output("Show Threshold for filament tracing", ...
            @(val)(setEditorValue(edt, val)), ...
            obj.ndTFTracThr ...
        ).activate();
end

function setEditorValue(edt, val)
    if ~isempty(val)
        edt.Value = val(1);
    end
end

function valueChangedCallback(ndTFTracThr, sec, evt)
    fprintf('Set Filament Tracing Threshold to %d.\n', evt.Value);
    ndTFTracThr.updateValue(evt.Value);
end
