function tomoViewLayerClickedCallback(obj, src, evt)

%%%%%%%%%%%%%%%%%%%%%%%%%% for debug %%%%%%%%%%%%%%%%%%%%%%%%%%

    fprintf("Clicking at tomo layer. The coordinate is [%.2f, %.2f, %.2f].\n",...
        evt.IntersectionPoint(1), evt.IntersectionPoint(2), evt.IntersectionPoint(3));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    upder = [];
    upder = obj.ndTFCurrPt.updateValue(evt.IntersectionPoint', upder);
    obj.ndTFCurrPtSpc.updateValue(obj.space_euler, upder);

    upder = [];
    if obj.ndFilaEngn.value.inFilamentCreatingMode()
        obj.ndFilaEngn.value.FC_addPoint(evt.IntersectionPoint');
        obj.ndFilaEngn.update();
    elseif obj.ndFilaEngn.value.inFilamentTuningMode()
        if obj.ndStatTFAdd.value
            [newpts, insert_ind] = helix.addPointToFilament(obj.ndTFCurrPtEul.value, obj.ndTFNewFilaPts.value);
            obj.ndTFNewFilaPts.updateValue(newpts, upder);
            obj.focusOnFilaPoint(insert_ind);
        elseif obj.ndStatTFMov.value
            newpts = obj.ndTFNewFilaPts.value;
            newpts(:, obj.ndTFFocPtInd.value) = obj.ndTFCurrPtEul.value;
            obj.ndTFNewFilaPts.updateValue(newpts, upder);
            obj.focusOnFilaPoint(obj.ndTFFocPtInd.value);
        else
            upder = obj.ndTFStat.updateValue(obj.tf_stat_free);
            obj.ndTFFocPtInd.updateValue([], upder);
        end
    end
    
end
