function registerAddFilaButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaEngn, ...
        src, evt));

    comg.Node.output("Enable Add-Filament-Button",...
            @(fila_engine)(enableComponent(butt, fila_engine)), ...
            obj.ndFilaEngn ...
        ).activate();
end

function enableComponent(component, fila_engine)
    flag_enable = fila_engine.allowEnterFilamentCreatingMode();
    component.Enable = flag_enable;
end

function buttonPushedCallback(ndFilaEngn, src, evt)
    fprintf("Add Filament button pushed.\n");
    ndFilaEngn.value.enterFilamentCreatingMode();
    ndFilaEngn.update();
end
