function registerTFAvgSurfButton(obj, butt)
    butt.ValueChangedFcn = @(src, evt)(valueChangedCallback( ...
        obj.ndStatSurfSymmAvg, src, evt));
    
    comg.Node.output("Enable Averaging-Surfaces-Button",...
            @(fila_engine, stat_free, stat_foc, rpvvalid)(enableComponent(butt, fila_engine, stat_free, stat_foc, rpvvalid)), ...
            obj.ndFilaEngn, obj.ndStatTFFree, obj.ndStatTFFoc, obj.ndStatRpvValid ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_free, stat_foc, rpvvalid)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && (stat_free || stat_foc);
    flag_enable = flag_enable && rpvvalid;

    component.Enable = flag_enable;
end

function valueChangedCallback(ndStatSurfSymmAvg, src, evt)
    fprintf('TF Surface Symmetrizing value changed to %d.\n', evt.Value);

    ndStatSurfSymmAvg.updateValue(evt.Value);
end


