function qs = randq(N)
%RANDQ - randomly sampling quaternions
%   sample unit quaternions uniformly, represented as matlab quaternion class
%   QS = RANDQ(N) sample N unit quaternions.

qs = normalize(quaternion(randn(N,1),randn(N,1),randn(N,1),randn(N,1)));

end


